Index: trunk/wikifiles/QinqResults/Initial_QinQ_HP_data
===================================================================
--- trunk/wikifiles/QinqResults/Initial_QinQ_HP_data	(revision 268)
+++ trunk/wikifiles/QinqResults/Initial_QinQ_HP_data	(revision 268)
@@ -0,0 +1,59 @@
+; J9452A Configuration Editor; Created on release #K.14.24
+
+hostname "habanero" 
+max-vlans 2000 
+module 2 type J94yyA 
+module 3 type J94zzA 
+module 5 type J94wwA 
+module 6 type J94wwA 
+no stack 
+interface 1 
+   unknown-vlans Disable 
+exit
+interface 6 
+   unknown-vlans Disable 
+exit
+interface 8 
+   unknown-vlans Disable 
+exit
+ip default-gateway 128.89.91.1 
+vlan 1 
+   name "DEFAULT_VLAN" 
+   untagged 2-4,9-10,14-48,49-50,51-52 
+   ip address 128.89.91.7 255.255.255.128 
+   no untagged 1,5-8,11-13 
+   exit 
+vlan 3702 
+   name "VLAN3702" 
+   untagged 11 
+   tagged 5 
+   no ip address 
+   exit 
+vlan 3703 
+   name "VLAN3703" 
+   untagged 12 
+   tagged 7 
+   no ip address 
+   exit 
+vlan 3704 
+   name "VLAN3704" 
+   untagged 13 
+   tagged 5 
+   no ip address 
+   exit 
+qinq mixedvlan
+svlan 667
+   name "VLAN667"
+   tagged 1
+   untagged 6
+   exit
+svlan 668
+   name "VLAN668"
+   tagged 1
+   untagged 8
+   exit
+snmp-server community "public" Unrestricted
+oobm
+   ip address dhcp-bootp
+   exit
+
Index: trunk/wikifiles/QinqResults/hp_internal_net
===================================================================
--- trunk/wikifiles/QinqResults/hp_internal_net	(revision 268)
+++ trunk/wikifiles/QinqResults/hp_internal_net	(revision 268)
@@ -0,0 +1,65 @@
+; J9452A Configuration Editor; Created on release #K.14.24
+
+hostname "habanero" 
+max-vlans 2000 
+module 2 type J94yyA 
+module 3 type J94zzA 
+module 5 type J94wwA 
+module 6 type J94wwA 
+no stack 
+interface 1 
+   unknown-vlans Disable 
+exit
+interface 6 
+   unknown-vlans Disable 
+exit
+interface 8 
+   unknown-vlans Disable 
+exit
+ip default-gateway 128.89.91.1 
+vlan 1 
+   name "DEFAULT_VLAN" 
+   untagged 4,9-10,14-48,49-50,51-52 
+   no untagged 1-3,5-8,11-13 
+   no ip address 
+   exit 
+vlan 3702 
+   name "VLAN3702" 
+   untagged 11 
+   tagged 5 
+   no ip address 
+   exit 
+vlan 3703 
+   name "VLAN3703" 
+   untagged 12 
+   tagged 7 
+   no ip address 
+   exit 
+vlan 3704 
+   name "VLAN3704" 
+   untagged 13 
+   tagged 5 
+   no ip address 
+   exit 
+vlan 900 
+   name "VLAN900" 
+   untagged 2-3 
+   ip address 128.89.91.7 255.255.255.128 
+   exit 
+qinq mixedvlan
+svlan 667
+   name "VLAN667"
+   tagged 1
+   untagged 6
+   exit
+svlan 668
+   name "VLAN668"
+   tagged 1
+   untagged 8
+   exit
+sntp server priority 1 192.1.249.10 3
+snmp-server community "public" Unrestricted
+oobm
+   ip address dhcp-bootp
+   exit
+
Index: trunk/wikifiles/QinqResults/poblan0_NEC_internal_net.cnf
===================================================================
--- trunk/wikifiles/QinqResults/poblan0_NEC_internal_net.cnf	(revision 268)
+++ trunk/wikifiles/QinqResults/poblan0_NEC_internal_net.cnf	(revision 268)
@@ -0,0 +1,142 @@
+#Last modified by operator at Tue Apr  6 19:50:54 2010 with version 11.0.A
+!
+hostname "poblano"
+!
+ip host poblano 128.89.91.6
+!
+ip domain name bbn.com
+!
+ip name-server 128.33.0.20
+!
+vlan 1
+  name "VLAN0001"
+!
+vlan 667
+!
+vlan 668
+!
+vlan 900
+!
+vlan 3701
+!
+vlan 3702
+!
+vlan 3703
+!
+vlan 3704
+!
+spanning-tree disable
+spanning-tree mode pvst
+!
+interface gigabitethernet 0/1
+  media-type rj45
+  mtu 1508
+  switchport dot1q ethertype 88a8
+  switchport mode access
+  switchport access vlan 1
+  switchport trunk allowed vlan 667-668
+!
+interface gigabitethernet 0/2
+  media-type rj45
+  switchport mode access
+  switchport access vlan 900
+!
+interface gigabitethernet 0/3
+  media-type rj45
+  switchport mode access
+  switchport access vlan 900
+!
+interface gigabitethernet 0/4
+  media-type sfp
+  switchport mode access
+!
+interface gigabitethernet 0/5
+  switchport mode trunk
+  switchport trunk allowed vlan 3702,3704
+!
+interface gigabitethernet 0/6
+  mtu 1504
+  switchport mode dot1q-tunnel
+  switchport access vlan 667
+!
+interface gigabitethernet 0/7
+  switchport dot1q ethertype 8100
+  switchport mode trunk
+  switchport trunk allowed vlan 3703
+!
+interface gigabitethernet 0/8
+  mtu 1504
+  switchport mode dot1q-tunnel
+  switchport access vlan 668
+!
+interface gigabitethernet 0/9
+  switchport mode access
+!
+interface gigabitethernet 0/10
+  switchport mode access
+!
+interface gigabitethernet 0/11
+  switchport mode access
+  switchport access vlan 3702
+!
+interface gigabitethernet 0/12
+  switchport mode access
+  switchport access vlan 3703
+!
+interface gigabitethernet 0/13
+  switchport mode access
+  switchport access vlan 3704
+!
+interface gigabitethernet 0/14
+  switchport mode access
+!
+interface gigabitethernet 0/15
+  switchport mode access
+!
+interface gigabitethernet 0/16
+  switchport mode access
+!
+interface gigabitethernet 0/17
+  switchport mode access
+!
+interface gigabitethernet 0/18
+  switchport mode access
+!
+interface gigabitethernet 0/19
+  switchport mode access
+!
+interface gigabitethernet 0/20
+  switchport mode access
+!
+interface gigabitethernet 0/21
+  switchport mode access
+!
+interface gigabitethernet 0/22
+  switchport mode access
+!
+interface gigabitethernet 0/23
+  switchport mode access
+!
+interface gigabitethernet 0/24
+  switchport mode access
+!
+interface tengigabitethernet 0/25
+  switchport mode access
+!
+interface tengigabitethernet 0/26
+  switchport mode access
+!
+interface vlan 1
+!
+interface vlan 900
+  ip address 128.89.91.6 255.255.255.128
+!
+ip route 0.0.0.0 0.0.0.0 128.89.91.1
+!
+line vty 0 2
+!
+ftp-server
+!
+ntp server 192.1.100.189
+ntp server 192.1.249.10
+!