Index: /trunk/wikifiles/plastic-slices/dotfiles/.bash_logout
===================================================================
--- /trunk/wikifiles/plastic-slices/dotfiles/.bash_logout	(revision 801)
+++ /trunk/wikifiles/plastic-slices/dotfiles/.bash_logout	(revision 801)
@@ -0,0 +1,1 @@
+sudo -k
Index: /trunk/wikifiles/plastic-slices/dotfiles/.bashrc
===================================================================
--- /trunk/wikifiles/plastic-slices/dotfiles/.bashrc	(revision 801)
+++ /trunk/wikifiles/plastic-slices/dotfiles/.bashrc	(revision 801)
@@ -0,0 +1,60 @@
+alias ll='' && unalias ll
+alias l.='' && unalias l.
+alias ls='' && unalias ls
+
+unset LESSOPEN
+
+export LANG=C
+export LC_CTYPE=C
+export LC_MONETARY=C
+export LC_NUMERIC=C
+export LC_MESSAGES=C
+export LC_COLLATE=C
+
+export PATH=$PATH:/sbin:/usr/sbin
+
+ulimit -c 0
+
+export TZ=EST5EDT
+
+if [ "`echo $- | grep i`" = '' ] ; then return ; fi
+
+/bin/stty intr '^C' kill '^U' echoe
+
+export PS1='[\t] \u@\h:`pwd`\n+\$ '
+export PS2="continue: "
+
+export HISTSIZE=9999
+export HISTFILESIZE=9999
+export HISTCONTROL=ignoredups
+set -o noclobber
+
+alias bzip2='bzip2 -v'
+alias compress='compress -v'
+alias cp='cp -i'
+alias gzip='gzip -v'
+alias l1='ls -1'
+alias la='ls -Fla'
+alias lad='ls -Flad'
+alias lal='ls -FlaL'
+alias lat='ls -Flart'
+alias lc='wc -l'
+alias mv='mv -i'
+alias pf="ps -efww | egrep"
+alias rewarp='source ~/.bashrc'
+alias rscp='rsync -av'
+alias rscpc='rsync -avC --include *.elc'
+alias rscpd='rsync -av --delete --delete-excluded'
+alias scp='scp -q'
+alias shmux='shmux -Sall -m -B -T 15'
+alias sshpw='ssh -o PreferredAuthentications=password'
+alias which='type'
+alias su='su -p'
+
+alias experiment-start='sudo rm -f screenlog.0 ; sudo script -c screen /dev/null'
+alias reconnect='sudo script -c "screen -dr" /dev/null'
+
+sshkd () { ssh-keygen -R $1 ; for addr in $(host $1 | grep 'has address' | awk '{print $4}') ; do ssh-keygen -R $addr ; done ; }
+ttfz () { gunzip -c $1 | tar tvf - ; }
+txfz () { gunzip -c $1 | tar xf - ; }
+zless () { zcat $* | less -s ; }
Index: /trunk/wikifiles/plastic-slices/dotfiles/.crontab
===================================================================
--- /trunk/wikifiles/plastic-slices/dotfiles/.crontab	(revision 801)
+++ /trunk/wikifiles/plastic-slices/dotfiles/.crontab	(revision 801)
@@ -0,0 +1,1 @@
+ *  *  *  *  *  /usr/local/bin/pingtest > /dev/null 2>&1
Index: /trunk/wikifiles/plastic-slices/dotfiles/.inputrc
===================================================================
--- /trunk/wikifiles/plastic-slices/dotfiles/.inputrc	(revision 801)
+++ /trunk/wikifiles/plastic-slices/dotfiles/.inputrc	(revision 801)
@@ -0,0 +1,6 @@
+Meta-p: previous-history
+Meta-n: next-history
+Meta-r: history-search-backward
+Meta-s: history-search-forward
+set bell-style none
+set mark-symlinked-directories On
Index: /trunk/wikifiles/plastic-slices/dotfiles/.screenrc
===================================================================
--- /trunk/wikifiles/plastic-slices/dotfiles/.screenrc	(revision 801)
+++ /trunk/wikifiles/plastic-slices/dotfiles/.screenrc	(revision 801)
@@ -0,0 +1,9 @@
+escape ^\^\
+hardstatus off
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+
+screen -L su - $SUDO_USER
Index: /trunk/wikifiles/plastic-slices/logins/00README
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/00README	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/00README	(revision 801)
@@ -0,0 +1,13 @@
+Note that the logins in the logins-* files are only the ones that I'm
+*using* in the current experiments, e.g. it doesn't include
+pgenigpolabbbncom_plastic101@sardis.gpolab.bbn.com even thought that
+account/sliver does exist, because I don't actually use it in the
+plastic-101 experiments at the moment.
+
+I used
+
+  subnet=101 ; sed -i -e "s/^|| \(.*\) *|| \(.*\) *||.*||$/pgenigpolabbbncom_plastic$subnet@\1\npgenigpolabbbncom_plastic$subnet@\2/" logins-plastic-$subnet.txt
+
+(et al) to transform the tables in the wiki for each slice into logins
+files. Although it doesn't strip off trailing whitespace, because it was
+already complicated enough; I just do that by hand.
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-101.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-101.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-101.txt	(revision 801)
@@ -0,0 +1,16 @@
+pgenigpolabbbncom_plastic101@ganel.gpolab.bbn.com
+pgenigpolabbbncom_plastic101@planetlab5.clemson.edu
+pgenigpolabbbncom_plastic101@planetlab4.clemson.edu
+pgenigpolabbbncom_plastic101@plnode2.cip.gatech.edu
+pgenigpolabbbncom_plastic101@plnode1.cip.gatech.edu
+pgenigpolabbbncom_plastic101@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic101@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic101@orbitplc2.orbit-lab.org
+pgenigpolabbbncom_plastic101@orbitplc1.orbit-lab.org
+pgenigpolabbbncom_plastic101@of-planet2.stanford.edu
+pgenigpolabbbncom_plastic101@of-planet1.stanford.edu
+pgenigpolabbbncom_plastic101@pl02.cs.washington.edu
+pgenigpolabbbncom_plastic101@pl01.cs.washington.edu
+pgenigpolabbbncom_plastic101@wings-openflow-3.wail.wisc.edu
+pgenigpolabbbncom_plastic101@wings-openflow-2.wail.wisc.edu
+pgenigpolabbbncom_plastic101@gardil.gpolab.bbn.com
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-102.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-102.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-102.txt	(revision 801)
@@ -0,0 +1,16 @@
+pgenigpolabbbncom_plastic102@sardis.gpolab.bbn.com
+pgenigpolabbbncom_plastic102@planetlab4.clemson.edu
+pgenigpolabbbncom_plastic102@planetlab5.clemson.edu
+pgenigpolabbbncom_plastic102@plnode1.cip.gatech.edu
+pgenigpolabbbncom_plastic102@plnode2.cip.gatech.edu
+pgenigpolabbbncom_plastic102@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic102@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic102@orbitplc1.orbit-lab.org
+pgenigpolabbbncom_plastic102@orbitplc2.orbit-lab.org
+pgenigpolabbbncom_plastic102@of-planet2.stanford.edu
+pgenigpolabbbncom_plastic102@of-planet1.stanford.edu
+pgenigpolabbbncom_plastic102@pl01.cs.washington.edu
+pgenigpolabbbncom_plastic102@pl02.cs.washington.edu
+pgenigpolabbbncom_plastic102@wings-openflow-2.wail.wisc.edu
+pgenigpolabbbncom_plastic102@wings-openflow-3.wail.wisc.edu
+pgenigpolabbbncom_plastic102@bain.gpolab.bbn.com
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-103.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-103.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-103.txt	(revision 801)
@@ -0,0 +1,8 @@
+pgenigpolabbbncom_plastic103@of-planet1.stanford.edu
+pgenigpolabbbncom_plastic103@navis.gpolab.bbn.com
+pgenigpolabbbncom_plastic103@ganel.gpolab.bbn.com
+pgenigpolabbbncom_plastic103@orbitplc1.orbit-lab.org
+pgenigpolabbbncom_plastic103@pl02.cs.washington.edu
+pgenigpolabbbncom_plastic103@bain.gpolab.bbn.com
+pgenigpolabbbncom_plastic103@of-planet2.stanford.edu
+pgenigpolabbbncom_plastic103@pl01.cs.washington.edu
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-104.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-104.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-104.txt	(revision 801)
@@ -0,0 +1,8 @@
+pgenigpolabbbncom_plastic104@navis.gpolab.bbn.com
+pgenigpolabbbncom_plastic104@wings-openflow-2.wail.wisc.edu
+pgenigpolabbbncom_plastic104@wings-openflow-3.wail.wisc.edu
+pgenigpolabbbncom_plastic104@orbitplc2.orbit-lab.org
+pgenigpolabbbncom_plastic104@orbitplc1.orbit-lab.org
+pgenigpolabbbncom_plastic104@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic104@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic104@gardil.gpolab.bbn.com
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-105.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-105.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-105.txt	(revision 801)
@@ -0,0 +1,8 @@
+pgenigpolabbbncom_plastic105@wings-openflow-2.wail.wisc.edu
+pgenigpolabbbncom_plastic105@planetlab5.clemson.edu
+pgenigpolabbbncom_plastic105@planetlab4.clemson.edu
+pgenigpolabbbncom_plastic105@sardis.gpolab.bbn.com
+pgenigpolabbbncom_plastic105@bain.gpolab.bbn.com
+pgenigpolabbbncom_plastic105@plnode2.cip.gatech.edu
+pgenigpolabbbncom_plastic105@plnode1.cip.gatech.edu
+pgenigpolabbbncom_plastic105@wings-openflow-3.wail.wisc.edu
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-106.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-106.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-106.txt	(revision 801)
@@ -0,0 +1,8 @@
+pgenigpolabbbncom_plastic106@planetlab5.clemson.edu
+pgenigpolabbbncom_plastic106@wings-openflow-2.wail.wisc.edu
+pgenigpolabbbncom_plastic106@wings-openflow-3.wail.wisc.edu
+pgenigpolabbbncom_plastic106@plnode1.cip.gatech.edu
+pgenigpolabbbncom_plastic106@plnode2.cip.gatech.edu
+pgenigpolabbbncom_plastic106@ganel.gpolab.bbn.com
+pgenigpolabbbncom_plastic106@gardil.gpolab.bbn.com
+pgenigpolabbbncom_plastic106@planetlab4.clemson.edu
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-107.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-107.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-107.txt	(revision 801)
@@ -0,0 +1,8 @@
+pgenigpolabbbncom_plastic107@planetlab5.clemson.edu
+pgenigpolabbbncom_plastic107@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic107@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic107@plnode2.cip.gatech.edu
+pgenigpolabbbncom_plastic107@plnode1.cip.gatech.edu
+pgenigpolabbbncom_plastic107@pl02.cs.washington.edu
+pgenigpolabbbncom_plastic107@pl01.cs.washington.edu
+pgenigpolabbbncom_plastic107@planetlab4.clemson.edu
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-108.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-108.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-108.txt	(revision 801)
@@ -0,0 +1,8 @@
+pgenigpolabbbncom_plastic108@wings-openflow-3.wail.wisc.edu
+pgenigpolabbbncom_plastic108@of-planet2.stanford.edu
+pgenigpolabbbncom_plastic108@of-planet1.stanford.edu
+pgenigpolabbbncom_plastic108@orbitplc1.orbit-lab.org
+pgenigpolabbbncom_plastic108@orbitplc2.orbit-lab.org
+pgenigpolabbbncom_plastic108@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic108@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic108@wings-openflow-2.wail.wisc.edu
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-109.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-109.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-109.txt	(revision 801)
@@ -0,0 +1,12 @@
+pgenigpolabbbncom_plastic109@navis.gpolab.bbn.com
+pgenigpolabbbncom_plastic109@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic109@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic109@pl02.cs.washington.edu
+pgenigpolabbbncom_plastic109@pl01.cs.washington.edu
+pgenigpolabbbncom_plastic109@planetlab5.clemson.edu
+pgenigpolabbbncom_plastic109@planetlab4.clemson.edu
+pgenigpolabbbncom_plastic109@of-planet1.stanford.edu
+pgenigpolabbbncom_plastic109@of-planet2.stanford.edu
+pgenigpolabbbncom_plastic109@wings-openflow-3.wail.wisc.edu
+pgenigpolabbbncom_plastic109@wings-openflow-2.wail.wisc.edu
+pgenigpolabbbncom_plastic109@ganel.gpolab.bbn.com
Index: /trunk/wikifiles/plastic-slices/logins/logins-plastic-110.txt
===================================================================
--- /trunk/wikifiles/plastic-slices/logins/logins-plastic-110.txt	(revision 801)
+++ /trunk/wikifiles/plastic-slices/logins/logins-plastic-110.txt	(revision 801)
@@ -0,0 +1,12 @@
+pgenigpolabbbncom_plastic110@gardil.gpolab.bbn.com
+pgenigpolabbbncom_plastic110@pl01.cs.washington.edu
+pgenigpolabbbncom_plastic110@pl02.cs.washington.edu
+pgenigpolabbbncom_plastic110@of-planet1.stanford.edu
+pgenigpolabbbncom_plastic110@of-planet2.stanford.edu
+pgenigpolabbbncom_plastic110@orbitplc2.orbit-lab.org
+pgenigpolabbbncom_plastic110@orbitplc1.orbit-lab.org
+pgenigpolabbbncom_plastic110@pl4.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic110@pl5.myplc.grnoc.iu.edu
+pgenigpolabbbncom_plastic110@plnode1.cip.gatech.edu
+pgenigpolabbbncom_plastic110@plnode2.cip.gatech.edu
+pgenigpolabbbncom_plastic110@sardis.gpolab.bbn.com
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-101
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-101	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-101	(revision 801)
@@ -0,0 +1,32 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-101 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t ganel.gpolab.bbn.com ssh pgenigpolabbbncom_plastic101@ganel.gpolab.bbn.com
+screen -t planetlab5.clemson.edu ssh pgenigpolabbbncom_plastic101@planetlab5.clemson.edu
+screen -t planetlab4.clemson.edu ssh pgenigpolabbbncom_plastic101@planetlab4.clemson.edu
+screen -t plnode2.cip.gatech.edu ssh pgenigpolabbbncom_plastic101@plnode2.cip.gatech.edu
+screen -t plnode1.cip.gatech.edu ssh pgenigpolabbbncom_plastic101@plnode1.cip.gatech.edu
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic101@pl5.myplc.grnoc.iu.edu
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic101@pl4.myplc.grnoc.iu.edu
+screen -t orbitplc2.orbit-lab.org ssh pgenigpolabbbncom_plastic101@orbitplc2.orbit-lab.org
+screen -t orbitplc1.orbit-lab.org ssh pgenigpolabbbncom_plastic101@orbitplc1.orbit-lab.org
+screen -t of-planet2.stanford.edu ssh pgenigpolabbbncom_plastic101@of-planet2.stanford.edu
+screen -t of-planet1.stanford.edu ssh pgenigpolabbbncom_plastic101@of-planet1.stanford.edu
+screen -t pl02.cs.washington.edu ssh pgenigpolabbbncom_plastic101@pl02.cs.washington.edu
+screen -t pl01.cs.washington.edu ssh pgenigpolabbbncom_plastic101@pl01.cs.washington.edu
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic101@wings-openflow-3.wail.wisc.edu
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic101@wings-openflow-2.wail.wisc.edu
+screen -t gardil.gpolab.bbn.com ssh pgenigpolabbbncom_plastic101@gardil.gpolab.bbn.com
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-102
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-102	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-102	(revision 801)
@@ -0,0 +1,32 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-102 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t sardis.gpolab.bbn.com ssh pgenigpolabbbncom_plastic102@sardis.gpolab.bbn.com
+screen -t planetlab4.clemson.edu ssh pgenigpolabbbncom_plastic102@planetlab4.clemson.edu
+screen -t planetlab5.clemson.edu ssh pgenigpolabbbncom_plastic102@planetlab5.clemson.edu
+screen -t plnode1.cip.gatech.edu ssh pgenigpolabbbncom_plastic102@plnode1.cip.gatech.edu
+screen -t plnode2.cip.gatech.edu ssh pgenigpolabbbncom_plastic102@plnode2.cip.gatech.edu
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic102@pl4.myplc.grnoc.iu.edu
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic102@pl5.myplc.grnoc.iu.edu
+screen -t orbitplc1.orbit-lab.org ssh pgenigpolabbbncom_plastic102@orbitplc1.orbit-lab.org
+screen -t orbitplc2.orbit-lab.org ssh pgenigpolabbbncom_plastic102@orbitplc2.orbit-lab.org
+screen -t of-planet2.stanford.edu ssh pgenigpolabbbncom_plastic102@of-planet2.stanford.edu
+screen -t of-planet1.stanford.edu ssh pgenigpolabbbncom_plastic102@of-planet1.stanford.edu
+screen -t pl01.cs.washington.edu ssh pgenigpolabbbncom_plastic102@pl01.cs.washington.edu
+screen -t pl02.cs.washington.edu ssh pgenigpolabbbncom_plastic102@pl02.cs.washington.edu
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic102@wings-openflow-2.wail.wisc.edu
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic102@wings-openflow-3.wail.wisc.edu
+screen -t bain.gpolab.bbn.com ssh pgenigpolabbbncom_plastic102@bain.gpolab.bbn.com
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-103
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-103	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-103	(revision 801)
@@ -0,0 +1,24 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-103 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t of-planet1.stanford.edu ssh pgenigpolabbbncom_plastic103@of-planet1.stanford.edu
+screen -t navis.gpolab.bbn.com ssh pgenigpolabbbncom_plastic103@navis.gpolab.bbn.com
+screen -t ganel.gpolab.bbn.com ssh pgenigpolabbbncom_plastic103@ganel.gpolab.bbn.com
+screen -t orbitplc1.orbit-lab.org ssh pgenigpolabbbncom_plastic103@orbitplc1.orbit-lab.org
+screen -t pl02.cs.washington.edu ssh pgenigpolabbbncom_plastic103@pl02.cs.washington.edu
+screen -t bain.gpolab.bbn.com ssh pgenigpolabbbncom_plastic103@bain.gpolab.bbn.com
+screen -t of-planet2.stanford.edu ssh pgenigpolabbbncom_plastic103@of-planet2.stanford.edu
+screen -t pl01.cs.washington.edu ssh pgenigpolabbbncom_plastic103@pl01.cs.washington.edu
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-104
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-104	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-104	(revision 801)
@@ -0,0 +1,24 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-104 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t navis.gpolab.bbn.com ssh pgenigpolabbbncom_plastic104@navis.gpolab.bbn.com
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic104@wings-openflow-2.wail.wisc.edu
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic104@wings-openflow-3.wail.wisc.edu
+screen -t orbitplc2.orbit-lab.org ssh pgenigpolabbbncom_plastic104@orbitplc2.orbit-lab.org
+screen -t orbitplc1.orbit-lab.org ssh pgenigpolabbbncom_plastic104@orbitplc1.orbit-lab.org
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic104@pl4.myplc.grnoc.iu.edu
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic104@pl5.myplc.grnoc.iu.edu
+screen -t gardil.gpolab.bbn.com ssh pgenigpolabbbncom_plastic104@gardil.gpolab.bbn.com
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-105
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-105	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-105	(revision 801)
@@ -0,0 +1,24 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-105 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic105@wings-openflow-2.wail.wisc.edu
+screen -t planetlab5.clemson.edu ssh pgenigpolabbbncom_plastic105@planetlab5.clemson.edu
+screen -t planetlab4.clemson.edu ssh pgenigpolabbbncom_plastic105@planetlab4.clemson.edu
+screen -t sardis.gpolab.bbn.com ssh pgenigpolabbbncom_plastic105@sardis.gpolab.bbn.com
+screen -t bain.gpolab.bbn.com ssh pgenigpolabbbncom_plastic105@bain.gpolab.bbn.com
+screen -t plnode2.cip.gatech.edu ssh pgenigpolabbbncom_plastic105@plnode2.cip.gatech.edu
+screen -t plnode1.cip.gatech.edu ssh pgenigpolabbbncom_plastic105@plnode1.cip.gatech.edu
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic105@wings-openflow-3.wail.wisc.edu
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-106
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-106	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-106	(revision 801)
@@ -0,0 +1,24 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-106 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t planetlab5.clemson.edu ssh pgenigpolabbbncom_plastic106@planetlab5.clemson.edu
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic106@wings-openflow-2.wail.wisc.edu
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic106@wings-openflow-3.wail.wisc.edu
+screen -t plnode1.cip.gatech.edu ssh pgenigpolabbbncom_plastic106@plnode1.cip.gatech.edu
+screen -t plnode2.cip.gatech.edu ssh pgenigpolabbbncom_plastic106@plnode2.cip.gatech.edu
+screen -t ganel.gpolab.bbn.com ssh pgenigpolabbbncom_plastic106@ganel.gpolab.bbn.com
+screen -t gardil.gpolab.bbn.com ssh pgenigpolabbbncom_plastic106@gardil.gpolab.bbn.com
+screen -t planetlab4.clemson.edu ssh pgenigpolabbbncom_plastic106@planetlab4.clemson.edu
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-107
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-107	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-107	(revision 801)
@@ -0,0 +1,24 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-107 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t planetlab5.clemson.edu ssh pgenigpolabbbncom_plastic107@planetlab5.clemson.edu
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic107@pl4.myplc.grnoc.iu.edu
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic107@pl5.myplc.grnoc.iu.edu
+screen -t plnode2.cip.gatech.edu ssh pgenigpolabbbncom_plastic107@plnode2.cip.gatech.edu
+screen -t plnode1.cip.gatech.edu ssh pgenigpolabbbncom_plastic107@plnode1.cip.gatech.edu
+screen -t pl02.cs.washington.edu ssh pgenigpolabbbncom_plastic107@pl02.cs.washington.edu
+screen -t pl01.cs.washington.edu ssh pgenigpolabbbncom_plastic107@pl01.cs.washington.edu
+screen -t planetlab4.clemson.edu ssh pgenigpolabbbncom_plastic107@planetlab4.clemson.edu
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-108
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-108	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-108	(revision 801)
@@ -0,0 +1,24 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-108 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic108@wings-openflow-3.wail.wisc.edu
+screen -t of-planet2.stanford.edu ssh pgenigpolabbbncom_plastic108@of-planet2.stanford.edu
+screen -t of-planet1.stanford.edu ssh pgenigpolabbbncom_plastic108@of-planet1.stanford.edu
+screen -t orbitplc1.orbit-lab.org ssh pgenigpolabbbncom_plastic108@orbitplc1.orbit-lab.org
+screen -t orbitplc2.orbit-lab.org ssh pgenigpolabbbncom_plastic108@orbitplc2.orbit-lab.org
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic108@pl5.myplc.grnoc.iu.edu
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic108@pl4.myplc.grnoc.iu.edu
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic108@wings-openflow-2.wail.wisc.edu
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-109
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-109	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-109	(revision 801)
@@ -0,0 +1,28 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-109 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t navis.gpolab.bbn.com ssh pgenigpolabbbncom_plastic109@navis.gpolab.bbn.com
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic109@pl5.myplc.grnoc.iu.edu
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic109@pl4.myplc.grnoc.iu.edu
+screen -t pl02.cs.washington.edu ssh pgenigpolabbbncom_plastic109@pl02.cs.washington.edu
+screen -t pl01.cs.washington.edu ssh pgenigpolabbbncom_plastic109@pl01.cs.washington.edu
+screen -t planetlab5.clemson.edu ssh pgenigpolabbbncom_plastic109@planetlab5.clemson.edu
+screen -t planetlab4.clemson.edu ssh pgenigpolabbbncom_plastic109@planetlab4.clemson.edu
+screen -t of-planet1.stanford.edu ssh pgenigpolabbbncom_plastic109@of-planet1.stanford.edu
+screen -t of-planet2.stanford.edu ssh pgenigpolabbbncom_plastic109@of-planet2.stanford.edu
+screen -t wings-openflow-3.wail.wisc.edu ssh pgenigpolabbbncom_plastic109@wings-openflow-3.wail.wisc.edu
+screen -t wings-openflow-2.wail.wisc.edu ssh pgenigpolabbbncom_plastic109@wings-openflow-2.wail.wisc.edu
+screen -t ganel.gpolab.bbn.com ssh pgenigpolabbbncom_plastic109@ganel.gpolab.bbn.com
+
+select 0
Index: /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-110
===================================================================
--- /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-110	(revision 801)
+++ /trunk/wikifiles/plastic-slices/screenrc/screenrc-plastic-110	(revision 801)
@@ -0,0 +1,28 @@
+### Common settings
+
+escape ^\^\
+hardstatus off
+hardstatus string '[plastic-110 screen %n%? (%t%?)] %h'
+startup_message off
+term vt100
+vbell off
+bind \\
+bind ^h prev
+zombie kz
+
+### Local settings
+
+screen -t gardil.gpolab.bbn.com ssh pgenigpolabbbncom_plastic110@gardil.gpolab.bbn.com
+screen -t pl01.cs.washington.edu ssh pgenigpolabbbncom_plastic110@pl01.cs.washington.edu
+screen -t pl02.cs.washington.edu ssh pgenigpolabbbncom_plastic110@pl02.cs.washington.edu
+screen -t of-planet1.stanford.edu ssh pgenigpolabbbncom_plastic110@of-planet1.stanford.edu
+screen -t of-planet2.stanford.edu ssh pgenigpolabbbncom_plastic110@of-planet2.stanford.edu
+screen -t orbitplc2.orbit-lab.org ssh pgenigpolabbbncom_plastic110@orbitplc2.orbit-lab.org
+screen -t orbitplc1.orbit-lab.org ssh pgenigpolabbbncom_plastic110@orbitplc1.orbit-lab.org
+screen -t pl4.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic110@pl4.myplc.grnoc.iu.edu
+screen -t pl5.myplc.grnoc.iu.edu ssh pgenigpolabbbncom_plastic110@pl5.myplc.grnoc.iu.edu
+screen -t plnode1.cip.gatech.edu ssh pgenigpolabbbncom_plastic110@plnode1.cip.gatech.edu
+screen -t plnode2.cip.gatech.edu ssh pgenigpolabbbncom_plastic110@plnode2.cip.gatech.edu
+screen -t sardis.gpolab.bbn.com ssh pgenigpolabbbncom_plastic110@sardis.gpolab.bbn.com
+
+select 0