Index: trunk/wikifiles/geni-backbone-test/myplc-bbn-all.rspec
===================================================================
--- trunk/wikifiles/geni-backbone-test/myplc-bbn-all.rspec	(revision 1187)
+++ trunk/wikifiles/geni-backbone-test/myplc-bbn-all.rspec	(revision 1187)
@@ -0,0 +1,34 @@
+<?xml version="1.0"?>
+<!--
+This rspec will create a container on each of the BBN production MyPLC plnodes.
+
+AM: https://myplc.gpolab.bbn.com:12346/
+-->
+
+<RSpec type="SFA">
+  <network name="plc.gpolab">
+    <site id="s1">
+      <name>myplc.gpolab.bbn.com</name>
+      <node id="n1">
+        <hostname>navis.gpolab.bbn.com</hostname>
+        <sliver></sliver>
+      </node>
+      <node id="n2">
+        <hostname>bain.gpolab.bbn.com</hostname>
+        <sliver></sliver>
+      </node>
+      <node id="n3">
+        <hostname>sardis.gpolab.bbn.com</hostname>
+        <sliver></sliver>
+      </node>
+      <node id="n4">
+        <hostname>ganel.gpolab.bbn.com</hostname>
+        <sliver></sliver>
+      </node>
+      <node id="n5">
+        <hostname>gardil.gpolab.bbn.com</hostname>
+        <sliver></sliver>
+      </node>
+    </site>
+  </network>
+</RSpec>
Index: trunk/wikifiles/geni-backbone-test/openflow-bbn-jbs17.rspec
===================================================================
--- trunk/wikifiles/geni-backbone-test/openflow-bbn-jbs17.rspec	(revision 1187)
+++ trunk/wikifiles/geni-backbone-test/openflow-bbn-jbs17.rspec	(revision 1187)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at BBN
+needed to use 10.42.17.0/24 on the I2 plnodes there.
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="OpenFlow resources at BBN for 10.42.17.0/24."
+		   email=***FIXME@example.edu***>
+
+    <openflow:controller url="tcp:navis.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="habanero-1750-i2-plnodes">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+	<openflow:port num="49"/>
+	<openflow:port num="50"/>
+	<openflow:port num="51"/>
+	<openflow:port num="71"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="poblano-1750-i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+	<openflow:port num="11"/>
+	<openflow:port num="20"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="habanero-1750-i2-plnodes" />
+      <openflow:use-group name="poblano-1750-i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.17.0/24"/>
+	<openflow:nw_src value="10.42.17.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/wikifiles/geni-backbone-test/openflow-indiana-jbs17.rspec
===================================================================
--- trunk/wikifiles/geni-backbone-test/openflow-indiana-jbs17.rspec	(revision 1187)
+++ trunk/wikifiles/geni-backbone-test/openflow-indiana-jbs17.rspec	(revision 1187)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Indiana
+needed to use 10.42.17.0/24 on the plnodes there.
+
+AM: https://foam.noc.iu.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="OpenFlow resources at Indiana for 10.42.17.0/24."
+		   email=***FIXME@example.edu***>
+
+    <openflow:controller url="tcp:navis.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="indiana-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+datapath+06:d6:00:16:b9:cf:fc:40"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.noc.iu.edu+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="8"/>
+	<openflow:port num="9"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="indiana-1750-nlr-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.17.0/24"/>
+	<openflow:nw_src value="10.42.17.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/wikifiles/geni-backbone-test/openflow-internet2-jbs17.rspec
===================================================================
--- trunk/wikifiles/geni-backbone-test/openflow-internet2-jbs17.rspec	(revision 1187)
+++ trunk/wikifiles/geni-backbone-test/openflow-internet2-jbs17.rspec	(revision 1187)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+needed to use 10.42.17.0/24 there.
+
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="OpenFlow resources at Internet2 for 10.42.17.0/24."
+		   email=***FIXME@example.edu***>
+
+    <openflow:controller url="tcp:navis.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.17.0/24"/>
+	<openflow:nw_src value="10.42.17.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/wikifiles/geni-backbone-test/openflow-nlr-jbs17.rspec
===================================================================
--- trunk/wikifiles/geni-backbone-test/openflow-nlr-jbs17.rspec	(revision 1187)
+++ trunk/wikifiles/geni-backbone-test/openflow-nlr-jbs17.rspec	(revision 1187)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+needed to use 10.42.17.0/24 there.
+
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="OpenFlow resources at NLR for 10.42.17.0/24."
+		   email=***FIXME@example.edu***>
+
+    <openflow:controller url="tcp:navis.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="nlr-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.17.0/24"/>
+	<openflow:nw_src value="10.42.17.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>