Index: /trunk/wikifiles/hello-geni/rspecs/myplc-clemson-hellogeni.rspec
===================================================================
--- /trunk/wikifiles/hello-geni/rspecs/myplc-clemson-hellogeni.rspec	(revision 1192)
+++ /trunk/wikifiles/hello-geni/rspecs/myplc-clemson-hellogeni.rspec	(revision 1192)
@@ -0,0 +1,11 @@
+<RSpec type="SFA">  
+    <network name="plc">    
+        <site id="s1">      
+            <name>        MyPLC      </name>      
+            <node id="n2">        
+                <hostname>          planetlab5.clemson.edu        </hostname>        
+            <sliver></sliver>
+            </node>      
+        </site>    
+    </network>  
+</RSpec>
Index: /trunk/wikifiles/hello-geni/rspecs/openflow-bbn-hellogeni.rspec
===================================================================
--- /trunk/wikifiles/hello-geni/rspecs/openflow-bbn-hellogeni.rspec	(revision 1192)
+++ /trunk/wikifiles/hello-geni/rspecs/openflow-bbn-hellogeni.rspec	(revision 1192)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- This rspec will reserve the OpenFlow resources at BBN 
+AM: 
+-->
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+        xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xs:schemaLocation="http://www.geni.net/resources/rspec/3
+              http://www.geni.net/resources/rspec/3/request.xsd
+              http://www.geni.net/resources/rspec/ext/openflow/3
+              http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+    type="request">
+
+    <openflow:sliver description="HelloGENI experiment" email="user@geni.net">
+      
+      <openflow:controller url="tcp:example.geni.net:9933" type="primary" />
+
+      <openflow:group name="hg_group">
+        <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+           component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+          <openflow:port num="35"/>
+          <openflow:port num="71"/>
+        </openflow:datapath>
+
+        <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+             component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+          <openflow:port num="3"/>
+          <openflow:port num="20"/>
+        </openflow:datapath>
+      </openflow:group>
+
+      <openflow:match>
+          <openflow:use-group name="hg_group"/>
+          <openflow:packet>
+            <openflow:dl_type value="0x800,0x806" />
+            <openflow:nw_src value="10.42.130.0/24"/>
+            <openflow:nw_dst value="10.42.130.0/24"/>
+          </openflow:packet>
+      </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/wikifiles/hello-geni/rspecs/openflow-clemson-hellogeni.rspec
===================================================================
--- /trunk/wikifiles/hello-geni/rspecs/openflow-clemson-hellogeni.rspec	(revision 1192)
+++ /trunk/wikifiles/hello-geni/rspecs/openflow-clemson-hellogeni.rspec	(revision 1192)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- This rspec will reserve the OpenFlow resources at BBN 
+AM: 
+-->
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+        xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xs:schemaLocation="http://www.geni.net/resources/rspec/3
+              http://www.geni.net/resources/rspec/3/request.xsd
+              http://www.geni.net/resources/rspec/ext/openflow/3
+              http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+    type="request">
+
+    <openflow:sliver description="HelloGENI experiment" email="user@geni.net">
+      
+      <openflow:controller url="tcp:example.geni.net:9933" type="primary" />
+
+      <openflow:group name="hg_group">
+        <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam+datapath+06:d6:00:26:f1:3f:e4:80"
+             component_manager_id="urn:publicid:IDN+openflow:foam:foam+authority+am"
+             dpid="06:d6:00:26:f1:3f:e4:80">
+          <openflow:port num="36"/>
+          <openflow:port num="43"/>
+        </openflow:datapath>
+
+      </openflow:group>
+
+      <openflow:match>
+          <openflow:use-group name="hg_group"/>
+          <openflow:packet>
+            <openflow:dl_type value="0x800,0x806" />
+            <openflow:nw_src value="10.42.130.0/24"/>
+            <openflow:nw_dst value="10.42.130.0/24"/>
+          </openflow:packet>
+      </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/wikifiles/hello-geni/rspecs/openflow-nlr-hellogeni.rspec
===================================================================
--- /trunk/wikifiles/hello-geni/rspecs/openflow-nlr-hellogeni.rspec	(revision 1192)
+++ /trunk/wikifiles/hello-geni/rspecs/openflow-nlr-hellogeni.rspec	(revision 1192)
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- This rspec will reserve the OpenFlow resources at BBN 
+AM: 
+-->
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+        xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xs:schemaLocation="http://www.geni.net/resources/rspec/3
+              http://www.geni.net/resources/rspec/3/request.xsd
+              http://www.geni.net/resources/rspec/ext/openflow/3
+              http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+    type="request">
+
+    <openflow:sliver description="HelloGENI experiment" email="user@geni.net">
+      
+      <openflow:controller url="tcp:example.geni.net:9933" type="primary" />
+
+      <openflow:group name="hg_group">
+
+        <openflow:datapath 
+              component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:c8:bc:00" 
+              component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+              dpid="0e:83:00:23:47:c8:bc:00"/>
+
+        <openflow:datapath 
+              component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:ca:bc:40" 
+              component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+              dpid="0e:83:00:23:47:ca:bc:40"/>
+
+        <openflow:datapath 
+              component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:48:00" 
+              component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+              dpid="0e:83:00:24:a8:d2:48:00"/>
+
+        <openflow:datapath 
+              component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:b8:40" 
+              component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+              dpid="0e:83:00:24:a8:d2:b8:40"/>
+        
+        <openflow:datapath 
+              component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:26:f1:40:a8:00" 
+              component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+              dpid="0e:83:00:26:f1:40:a8:00"/>
+
+      </openflow:group>
+
+      <openflow:match>
+          <openflow:use-group name="hg_group"/>
+          <openflow:packet>
+            <openflow:dl_type value="0x800,0x806" />
+            <openflow:nw_src value="10.42.130.0/24"/>
+            <openflow:nw_dst value="10.42.130.0/24"/>
+          </openflow:packet>
+      </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/wikifiles/hello-geni/rspecs/protogeni-bbn-hellogeni.rspec
===================================================================
--- /trunk/wikifiles/hello-geni/rspecs/protogeni-bbn-hellogeni.rspec	(revision 1192)
+++ /trunk/wikifiles/hello-geni/rspecs/protogeni-bbn-hellogeni.rspec	(revision 1192)
@@ -0,0 +1,10 @@
+<rspec xmlns="http://www.protogeni.net/resources/rspec/0.2" type="request">
+ 	         <node component_uuid="urn:publicid:IDN+pgeni.gpolab.bbn.com+node+pc11"
+ 	               virtual_id="node0"
+ 	               exclusive="1"
+ 	               virtualization_type="emulab-vnode"
+ 	               virtualization_subtype="raw">
+ 	         <disk_image
+ 	              name="urn:publicid:IDN+emulab.net+image+emulab-ops//UBUNTU1004-STD" />
+ 	         </node>
+ 	</rspec>