Index: trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-bbn-plastic-106.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-bbn-plastic-106.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-bbn-plastic-106.rspec	(revision 1201)
@@ -1,50 +1,55 @@
-<!-- 
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
 This rspec will reserve the OpenFlow resources at BBN used by the
 plastic-106 slice.
 
-AM: https://expedient.gpolab.bbn.com:1443/openflow/gapi/
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="plastic-106 OpenFlow resources at BBN."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-106@bbn" description="Plastic Slices slice 106 at BBN"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33106" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33106" name="naxos-33106" description="The FlowVisor on naxos, for plastic-106."/>
+    <openflow:group name="habanero-1750-nlr-plnodes">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+	<openflow:port num="55"/>
+	<openflow:port num="56"/>
+	<openflow:port num="71"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:49"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:50"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:51"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:55"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:56"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:71"/>
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>
+        <openflow:port num="20"/>
+      </openflow:datapath>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:5"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:20"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.106.0" to="10.42.106.255"/>
+      <openflow:use-group name="habanero-1750-nlr-plnodes" />
+      <openflow:use-group name="poblano-1750-nlr-3716" />
 
-  </flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.106.0/24"/>
+        <openflow:nw_src value="10.42.106.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:49"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:50"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:51"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:55"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:56"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:71"/>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:5"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:20"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.106.0" to="10.42.106.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-clemson-plastic-106.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-clemson-plastic-106.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-clemson-plastic-106.rspec	(revision 1201)
@@ -1,38 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Clemson used by the
-plastic-106 slice.
+This rspec will reserve the OpenFlow resources at Clemson
+used by the plastic-106 slice.
 
-AM: https://expedient.clemson.edu:1443/openflow/gapi/
+AM: https://foam.clemson.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 106 at Clemson."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-106@clemson" description="Plastic Slices slice 106 at Clemson"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33106" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33106" name="naxos-33106" description="The FlowVisor on naxos, for plastic-106." expiry="1313380800"/>
+    <openflow:group name="clemson-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam+datapath+06:d6:00:26:f1:3f:e4:80"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam+authority+am">
+	<openflow:port num="36"/>
+	<openflow:port num="39"/>
+	<openflow:port num="41"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:36"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:39"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:41"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.106.0" to="10.42.106.255"/>
+      <openflow:use-group name="clemson-1750-nlr-3716" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.106.0/24"/>
+	<openflow:nw_src value="10.42.106.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:36"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:39"/>
-    <port urn="urn:publicid:IDN+Clemson:expedient:openflow+switch:06:d6:00:26:f1:3f:e4:80+port:41"/>
+    </openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.106.0" to="10.42.106.255"/>
+  </openflow:sliver>
 
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-gatech-plastic-106.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-gatech-plastic-106.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-gatech-plastic-106.rspec	(revision 1201)
@@ -1,38 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at GT used by the
-plastic-106 slice.
+This rspec will reserve the OpenFlow resources at GT
+used by the plastic-106 slice.
 
-AM: https://expedient.oflow.cip.gatech.edu:1443/openflow/gapi/ 
+AM: https://foam.oflow.cip.gatech.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 106 at GT."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-106@gt" description="Plastic Slices slice 106 at GT"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33106" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33106" name="naxos-33106" description="The FlowVisor on naxos, for plastic-106." expiry="1313380800"/>
+    <openflow:group name="gatech-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.oflow.cip.gatech.edu+datapath+06:d6:00:19:bb:b3:0d:00"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.oflow.cip.gatech.edu+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:5"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:9"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:10"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.106.0" to="10.42.106.255"/>
+      <openflow:use-group name="gatech-1750-nlr-3716" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.106.0/24"/>
+	<openflow:nw_src value="10.42.106.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:5"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:9"/>
-    <port urn="urn:publicid:IDN+GT-RNOC:expedient:openflow+switch:06:d6:00:19:bb:b3:0d:00+port:10"/>
+    </openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.106.0" to="10.42.106.255"/>
+  </openflow:sliver>
 
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-internet2-plastic-106.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-internet2-plastic-106.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-internet2-plastic-106.rspec	(revision 1201)
@@ -1,42 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Internet2 used by the
-plastic-106 slice.
+This rspec will reserve the OpenFlow resources at Internet2
+used by the plastic-106 slice.
 
-AM: https://ofc-vm1.net.internet2.edu:1443/openflow/gapi/
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 106 at Internet2."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-106@internet2" description="Plastic Slices slice 106 at Internet2"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33106" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33106" name="naxos-33106" description="The FlowVisor on naxos, for plastic-106." expiry="1313380800"/>
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:0e:84:40:39:18:1b" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:0e:84:40:39:18:58" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:0e:84:40:39:19:96" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:0e:84:40:39:1a:57" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:0e:84:40:39:1b:93" />
+    </openflow:group>
 
-  <flowspace>
+    <openflow:match>
 
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:18:1b"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:18:58"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:19:96"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:1a:57"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:1b:93"/>
+      <openflow:use-group name="i2-3716" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.106.0" to="10.42.106.255"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.106.0/24"/>
+	<openflow:nw_src value="10.42.106.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:18:1b"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:18:58"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:19:96"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:1a:57"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:84:40:39:1b:93"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.106.0" to="10.42.106.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-nlr-plastic-106.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-nlr-plastic-106.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-nlr-plastic-106.rspec	(revision 1201)
@@ -1,42 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at NLR used by the
-plastic-106 slice.
+This rspec will reserve the OpenFlow resources at NLR
+used by the plastic-106 slice.
 
-AM: https://expedient.nlr.net:1443/openflow/gapi/
+AM: https://foam.nlr.net:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 106 at NLR."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-106@nlr" description="Plastic Slices slice 106 at NLR"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33106" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33106" name="naxos-33106" description="The FlowVisor on naxos, for plastic-106." expiry="1313380800"/>
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+    </openflow:group>
 
-  <flowspace>
- 
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:23:47:c8:bc:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:23:47:ca:bc:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:24:a8:d2:48:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:24:a8:d2:b8:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:26:f1:40:a8:00"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.106.0" to="10.42.106.255"/>
+      <openflow:use-group name="nlr-3716" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.106.0/24"/>
+	<openflow:nw_src value="10.42.106.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:23:47:c8:bc:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:23:47:ca:bc:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:24:a8:d2:48:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:24:a8:d2:b8:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:84:00:26:f1:40:a8:00"/>
+  </openflow:sliver>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.106.0" to="10.42.106.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
Index: trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-wisconsin-plastic-106.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-wisconsin-plastic-106.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-106/openflow-wisconsin-plastic-106.rspec	(revision 1201)
@@ -1,44 +1,55 @@
-<!--
-This rspec will reserve the OpenFlow resources at Wisconsin used by the
-plastic-106 slice.
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Wisconsin
+used by the plastic-106 slice.
 
-AM: https://wings-openflow-1.wail.wisc.edu:1443/openflow/gapi/
+AM: https://foam.wail.wisc.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 106 at Wisconsin."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-106@wisconsin" description="Plastic Slices slice 106 at Wisconsin"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33106" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33106" name="naxos-33106" description="The FlowVisor on naxos, for plastic-106." expiry="1313380800"/>
+    <openflow:group name="wisconsin-plnodes-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+datapath+06:d6:00:23:47:cc:44:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+authority+am">
+        <openflow:port num="1"/>
+        <openflow:port num="20"/>
+        <openflow:port num="22"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
+    <openflow:group name="wisconsin-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+datapath+06:d6:00:21:f7:be:8d:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+authority+am">
+        <openflow:port num="3"/>
+        <openflow:port num="53"/>
+      </openflow:datapath>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:1"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:20"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:22"/>
+    <openflow:match>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:3"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:53"/>
+      <openflow:use-group name="wisconsin-plnodes-1750" />
+      <openflow:use-group name="wisconsin-1750-nlr-3716" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.106.0" to="10.42.106.255"/>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.106.0/24"/>
+        <openflow:nw_src value="10.42.106.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:1"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:20"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:22"/>
-
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:3"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:53"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.106.0" to="10.42.106.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>