Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-myplc-clemson.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-myplc-clemson.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-myplc-clemson.rspec	(revision 1299)
@@ -0,0 +1,19 @@
+<?xml version="1.0" ?>
+<!-- Resources at AM:
+	URN: unspecified_AM_URN
+	URL: http://myplc.gpolab.bbn.com:12346/
+ -->
+<rspec type="request" xmlns="http://www.protogeni.net/resources/rspec/2" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.protogeni.net/resources/rspec/2 
+	http://www.protogeni.net/resources/rspec/2/request.xsd">  
+    <node component_id="urn:publicid:IDN+plc:cu+node+planetlab4.clemson.edu" 
+	component_manager_id="urn:publicid:IDN+plc+authority+am" 
+	component_name="planetlab4.clemson.edu" client_id="planetlab4" exclusive="false">
+        <sliver_type name="plab-vnode">
+        </sliver_type>
+    </node>   
+</rspec>
+
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-bbn.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-bbn.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-bbn.rspec	(revision 1299)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at BBN
+used by the tuptymon slice.
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow BBN ExoGENI Host to Clemson MyPLC host "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>
+        <openflow:port num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-clemson.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-clemson.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-clemson.rspec	(revision 1299)
@@ -0,0 +1,34 @@
+<?xml version="1.1" encoding="UTF-8"?>
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+        xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xs:schemaLocation="http://www.geni.net/resources/rspec/3
+              http://www.geni.net/resources/rspec/3/request.xsd
+              http://www.geni.net/resources/rspec/ext/openflow/3
+              http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+    type="request">
+    
+ <openflow:sliver description="Sliver to allow BBN ExoGENI Host to Clemson MyPLC host "
+                   email="lnevers@bbn.com">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+
+  <openflow:group name="clemson-1750-3716">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam+datapath+06:d6:00:26:f1:3f:e4:80" 
+                    component_manager_id="urn:publicid:IDN+openflow:foam:foam+authority+am" dpid="06:d6:00:26:f1:3f:e4:80">
+        <openflow:port name="39" num="39"/>
+        <openflow:port name="41" num="41"/>
+      </openflow:datapath>
+  </openflow:group>
+
+  <openflow:match>
+      <openflow:use-group name="clemson-1750-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+</openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-exobbn.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-exobbn.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-exobbn.rspec	(revision 1299)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the BBN ExoGENI rack 
+for EG-EXP-5 scenario 1 (Campus VMs with interfaces on VLAN 1750)
+
+AM: https://bbn-hn.exogeni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="EG-EXP-5-scenario1 resources at BBN ExoGENI."
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="bbn-exogeni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:64:08:17:f4:b5:2a:00" component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-i2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-i2.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-i2.rspec	(revision 1299)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+used by the EG-EXP-5 scenario 1.
+
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="EG-EXP-5 scenario 1 OpenFlow resources at Internet2."
+		   email="lnevers@bbn.com">
+
+<openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-nlr.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-nlr.rspec	(revision 1299)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="Sliver to allow BBN ExoGENI Host to Clemson MyPLC host "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-rutgers.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-rutgers.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-rutgers.rspec	(revision 1299)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the EG-EXP-5 scenario1. 
+
+AM: https://nox.orbit-lab.org:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="EG-EXP-5 scenario1 OpenFlow resources at Rutgers."
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="rutgers-1750-i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="rutgers-1750-i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-wapg-rutgers.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-wapg-rutgers.rspec	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-wapg-rutgers.rspec	(revision 1299)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This rspec reserves wide-area ProtoGENI host pg51 at Rutgers
+
+AM: http://www.emulab.net/protogeni/xmlrpc/am
+-->
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="wapg-rutgers-pg51" component_id="urn:publicid:IDN+emulab.net+node+pg51" 
+  component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" 
+  component_name="pg51" exclusive="true">
+    <interface client_id="wapg-rutgers-pg51:if0">
+   <ip address="10.42.11.51" netmask="255.255.255.0" />
+    </interface>
+
+  </node>
+
+
+</rspec>
+
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/README-EG-EXP-5-scenarios.txt
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/README-EG-EXP-5-scenarios.txt	(revision 1299)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/README-EG-EXP-5-scenarios.txt	(revision 1299)
@@ -0,0 +1,20 @@
+This file describes the various scenarios that are to be tested as part of the ExoGENI acceptance test EG-EXP-5, the "ExoGENI OpenFlow Network Resources" test case.  
+
+Each of the scenarios includes 2 BBN Campus VMs which are NOT part of the ExoGENI rack. The OpenFlow flowspaces are managed with the  ExoGENI FOAM aggregate.  For each scenario there are 2 mesoscale remotes, one WAPG node on Internet2 and one MyPLC node on NLR.
+
+The request RSpecs used in each of the scenarios are captured in a directory matching the scenario name:
+
+EG-EXP-5-scenario1: This Scenario includes 2 campus VMs with an interface on VLAN 1750, whose flowspaces pass through the ExoGENI OpenFlow switch. Initial run uses 1 experimenter credential to set up all resources.
+
+EG-EXP-5-scenario1-2exp: This scenario is the same as scenario 1 above, but it is executed by two different GENI accounts.
+
+EG-EXP-5-scenario2: This scenario includes 2 campus VMs which are not part of the ExoGENI rack. These VMs have and interface on a campus VLAN 3705 2 which is mapped to VLAN 1750 in the ExoGENI rack.
+
+EG-EXP-5-scenario3: This scenario includes 2 campus VMs with an interface on VLAN 3705. We think that we'd just request some flowspace for this VM, for traffic on VLAN 3705 matching its MAC address or IP address or whatever, on the relevant ports, and voila. 
+
+    A pair of VMs, one with an interface on VLAN 1720 and one on 1721. This is a little more complicated, because our flowspace needs to include:
+        Traffic on VLAN 1720 or VLAN 1721 from the campus uplink port.
+        Traffic on VLAN 1750 from the GENI uplink port that matches your nodes in some way (MAC address, IP address, whatever).
+        A controller that can do VLAN translation. 
+
+