Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-openflow-bbn-exogeni-3705.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-openflow-bbn-exogeni-3705.rspec	(revision 1309)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-openflow-bbn-exogeni-3705.rspec	(revision 1322)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec reserves VLAN 3705 in the BBN ExoGENI - EG-EXP-5 scenario 1.
+This rspec reserves VLAN 3705 in the BBN ExoGENI - EG-EXP-5 scenario 2.
 
 AM: https://bbn-hn.exogeni.gpolab.bbn.com:3626/foam/gapi/1
@@ -15,5 +15,5 @@
        type="request">
 
-  <openflow:sliver description="VLAN 3705 at BBN ExoGENI for EG-EXP-5 scenario 1."
+  <openflow:sliver description="VLAN 3705 at BBN ExoGENI for EG-EXP-5 scenario 2."
 		   email="lnevers@bbn.com">
 
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-myplc-bbn.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-myplc-bbn.rspec	(revision 1322)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-myplc-bbn.rspec	(revision 1322)
@@ -0,0 +1,18 @@
+<?xml version="1.0" ?>
+<!-- Resources at AM:
+	URN: unspecified_AM_URN
+	URL: http://myplc.gpolab.bbn.com:12346/
+ -->
+<rspec type="request" xmlns="http://www.protogeni.net/resources/rspec/2" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.protogeni.net/resources/rspec/2 
+	http://www.protogeni.net/resources/rspec/2/request.xsd">  
+   <node component_id="urn:publicid:IDN+plc:gpolab:gpolab+node+navis.gpolab.bbn.com" 
+	component_manager_id="urn:publicid:IDN+plc:gpolab+authority+am" 
+	component_name="navis.gpolab.bbn.com" client_id="navis" exclusive="false">
+        <sliver_type name="plab-vnode">
+        </sliver_type>
+    </node>   
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-bbn.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-bbn.rspec	(revision 1309)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-bbn.rspec	(revision 1322)
@@ -1,10 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-This rspec will reserve the OpenFlow resources at BBN
-used by the EG-EXP-5 Scenario 1.
-
-AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
--->
-
 <rspec xmlns="http://www.geni.net/resources/rspec/3"
        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
@@ -16,8 +9,18 @@
        type="request">
 
-  <openflow:sliver description="Sliver to allow BBN ExoGENI Host to Clemson MyPLC host "
+  <openflow:sliver description="Sliver to allow BBN, BBN ExoGENI, Clemson MyPLC and Rutgers WAPG over 3716 "
                    email="lnevers@bbn.com">
 
     <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+   <openflow:group name="bbn-1750-nodes">
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"     
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am" 
+                       dpid="06:d6:00:24:a8:c4:b9:00">
+      <openflow:port name="32" num="56"/>
+      <openflow:port name="47" num="71"/>
+    </openflow:datapath>
+  </openflow:group>
 
     <openflow:group name="poblano-1750-nlr-3716">
@@ -26,4 +29,6 @@
         <openflow:port num="5"/>
         <openflow:port num="15"/>
+        <openflow:port num="11"/>
+        <openflow:port num="20"/>
       </openflow:datapath>
     </openflow:group>
@@ -31,4 +36,5 @@
     <openflow:match>
 
+      <openflow:use-group name="bbn-1750-nodes" />
       <openflow:use-group name="poblano-1750-nlr-3716" />
 
@@ -40,5 +46,4 @@
 
     </openflow:match>
-
   </openflow:sliver>
 
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-nlr.rspec	(revision 1309)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-nlr.rspec	(revision 1322)
@@ -14,18 +14,28 @@
        type="request">
 
- <openflow:sliver description="Sliver to allow BBN ExoGENI Host to Clemson MyPLC host "
+ <openflow:sliver description="Sliver to allow BBN ExoGENI Host to Meso-scale hosts and RENCI ExoGENi "
                    email="lnevers@bbn.com">
 
     <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
 
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
     <openflow:group name="nlr-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
     </openflow:group>
 
     <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
       <openflow:use-group name="nlr-3716" />
       <openflow:packet>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-rci.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-rci.rspec	(revision 1322)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/EG-EXP-5-scenario1-openflow-rci.rspec	(revision 1322)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the ExoGENI rack at RENCI
+used for EG-EXP
+
+AM: https://rci-hn.exogeni.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="Sliver to allow BBN, BBN ExoGENI, Clemson MyPLC and Rutgers WAPG over 3716 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33017" type="primary" />
+
+    <openflow:group name="renci-exogeni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:64:08:17:f4:b3:5b:00" component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="renci-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/exo-2vm-shared-vlan-bbn.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/exo-2vm-shared-vlan-bbn.rspec	(revision 1322)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/exo-2vm-shared-vlan-bbn.rspec	(revision 1322)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.17" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-0" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM-0:if0">
+   <ip address="10.42.11.18" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="VM-0:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/exo-2vm-shared-vlan-rci.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/exo-2vm-shared-vlan-rci.rspec	(revision 1322)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/EG-EXP-5-scenario1/exo-2vm-shared-vlan-rci.rspec	(revision 1322)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-0" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM-0:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="VM-0:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/README-EG-EXP-5-scenarios.txt
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/README-EG-EXP-5-scenarios.txt	(revision 1309)
+++ /trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-5/README-EG-EXP-5-scenarios.txt	(revision 1322)
@@ -14,7 +14,9 @@
  - BBN Campus hosts access OF VLAN 1750 via flowspaces through the ExoGENI OpenFlow switch. 
  - The !OpenFlow flowspaces for OF VLAN 1750 are managed with the ExoGENI FOAM aggregate.  
- - Two meso-scale remote sites: 1 WAPG at Rutgers(Internet2) and 1 MyPLC at Clemson (NLR). 
- - Two ExoGENI VMs on OF shared VLAN 1750  
+ - Three meso-scale remote sites: 1 WAPG at Rutgers(Internet2), 1 MyPLC at Clemson (NLR) and one at MyPLC at BBN.
+ - Two BBN rack ExoGENI VMs on OF shared VLAN 1750  
  - NRL and Internet2 OpenFlow VLAN 3716 is used for all hosts in experiment1 to exchange traffic
+ - Two RENCI rack ExoGENI VMs on OF shared VLAN 1750  
+ 
 
 '''Experiment 2''': Non-OF Multi-point VLAN 3705