Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-1/EG-EXP-1-2baremetal
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-1/EG-EXP-1-2baremetal	(revision 1335)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-1/EG-EXP-1-2baremetal	(revision 1335)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+<node client_id="BT1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT1:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+<node client_id="BT2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="BT1:if0"/>
+    <interface_ref client_id="BT2:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-2/EG-EXP-2-exp1.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-2/EG-EXP-2-exp1.rspec	(revision 1335)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-2/EG-EXP-2-exp1.rspec	(revision 1335)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="172.16.1.1" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-0" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+    </sliver_type>
+    <interface client_id="VM-0:if0">
+   <ip address="172.16.1.2" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+bbnvmsite+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="VM-0:if0"/>
+    <property source_id="VM:if0" dest_id="VM-0:if0" />
+    <property source_id="VM-0:if0" dest_id="VM:if0" />
+    <property source_id="VM:if0" dest_id="VM-1:if0" />
+    <property source_id="VM-0:if0" dest_id="VM-1:if0" />
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-2/EG-EXP-2-exp2.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-2/EG-EXP-2-exp2.rspec	(revision 1335)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-2/EG-EXP-2-exp2.rspec	(revision 1335)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+<node client_id="BT1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT1:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+<node client_id="BT2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BT2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="BT1:if0"/>
+    <interface_ref client_id="BT2:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-4/EG-EXP-4-exp1.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-4/EG-EXP-4-exp1.rspec	(revision 1335)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-4/EG-EXP-4-exp1.rspec	(revision 1335)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request"
+xsi:schemaLocation="http://www.protogeni.net/resources/rspec/2
+                                          http://www.protogeni.net/resources/rspec/2/request.xsd"
+    xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xmlns="http://www.protogeni.net/resources/rspec/2">
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+ <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni1:if0">
+    <ip address="172.16.7.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="geni2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+ <sliver_type name="m1.large">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni2:if0" >
+   <ip address="172.16.7.2" netmask="255.255.255.0" />
+ </interface>
+</node>
+<link client_id="center">
+  <interface_ref client_id="geni1:if0" />
+  <interface_ref client_id="geni2:if0" />
+</link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-4/EG-EXP-4-exp2.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-4/EG-EXP-4-exp2.rspec	(revision 1335)
+++ trunk/GENIRacks/ExoGENI/Spiral4/Rspecs/AcceptanceTests/EG-EXP-4/EG-EXP-4-exp2.rspec	(revision 1335)
@@ -0,0 +1,66 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="baremetal" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="baremetal:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+    <interface client_id="baremetal:if1">
+   <ip address="172.16.2.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+<sliver_type name="m1.small">
+<disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+</sliver_type>
+<interface client_id="geni1:if0">
+<ip address="172.16.2.2" netmask="255.255.255.0" />
+</interface>
+<interface client_id="geni1:if1">
+<ip address="172.16.3.1" netmask="255.255.255.0" />
+</interface>
+</node>
+
+<node client_id="geni2" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+<sliver_type name="m1.large">
+<disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+</sliver_type>
+<interface client_id="geni2:if0" >
+   <ip address="172.16.3.2" netmask="255.255.255.0" />
+ </interface>
+</node>
+
+<node client_id="geni3" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm">
+ <sliver_type name="m1.large">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9" />
+ </sliver_type>
+ <interface client_id="geni3:if0" >
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+ </interface>
+</node>
+
+<link client_id="localbbn">
+  <interface_ref client_id="baremetal:if0" />
+  <interface_ref client_id="geni3:if0" />
+</link>
+
+<link client_id="barebbn2rci">
+  <interface_ref client_id="baremetal:if1" />
+  <interface_ref client_id="geni1:if0" />
+</link>
+<link client_id="vmbbn2rci">
+  <interface_ref client_id="geni1:if1" />
+  <interface_ref client_id="geni2:if0" />
+</link>
+
+</rspec>